Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513117 - wrong type value in orchestration_templates create request results in internal server error
Summary: wrong type value in orchestration_templates create request results in interna...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Depends On: 1510215
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-14 19:11 UTC by Satoe Imaishi
Modified: 2018-03-06 15:09 UTC (History)
2 users (show)

Fixed In Version: 5.9.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510215
Environment:
Last Closed: 2018-03-06 15:09:37 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:48:41 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:
https://github.com/ManageIQ/manageiq-api/commit/2450b78c6289f37b352284de05c951affef19dca

commit 2450b78c6289f37b352284de05c951affef19dca
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Fri Nov 10 11:58:55 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 17:41:56 2017 -0500

    Merge pull request #195 from jntullo/bz/graceful_fail_on_delete
    
    Gracefully fail on resource create
    (cherry picked from commit 48128388cf0b47089c15c90e8caea65326b67b0e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513117

 app/controllers/api/base_controller/generic.rb |  7 +++++++
 spec/requests/orchestration_template_spec.rb   | 15 +++++++++++++++
 2 files changed, 22 insertions(+)

Comment 4 Martin Kourim 2017-12-04 11:07:28 UTC
Verified that wrong value of a "type" attribute in the orchestration_templates create request results in graceful fail with status code 400 on 5.9.0.11


Note You need to log in before you can comment on or make changes to this bug.